libepubgen::EPUBImageManager Class Reference documentation

Classes | Public Member Functions | Static Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
libepubgen::EPUBImageManager Class Reference

`#include <EPUBImageManager.h>`

## Classes
struct | BinaryDataEqual
struct | BinaryDataHash

## Public Member Functions
| EPUBImageManager (EPUBManifest &manifest)
const EPUBPath & | insert (const librevenge::RVNGBinaryData &data, const librevenge::RVNGString &mimetype, const librevenge::RVNGString &properties="")
void | writeTo (EPUBPackage &package)
std::string | getFrameClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
std::string | getFrameStyle (librevenge::RVNGPropertyList const &pList)
| returns the style string corresponding to a propertylist More...
void | send (EPUBCSSContent &out)
| send the data to the sink More...

## Static Public Member Functions
static std::string | getWrapStyle (librevenge::RVNGPropertyList const &pList)
| returns the style for a follow-up element, based on wrapping properties. More...

## Private Types
typedef std::unordered_map< librevenge::RVNGBinaryData, EPUBPath, BinaryDataHash, BinaryDataEqual > | MapType_t
typedef std::unordered_map< EPUBCSSProperties, std::string, boost::hash< EPUBCSSProperties > > | ContentNameMap_t

## Private Member Functions
| EPUBImageManager (const EPUBImageManager &)
EPUBImageManager & | operator= (const EPUBImageManager &)
void | extractImageProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...

## Private Attributes
EPUBManifest & | m_manifest
MapType_t | m_map
EPUBCounter | m_number
ContentNameMap_t | m_imageContentNameMap
| a map image content -> name More...

## Member Typedef Documentation

## ◆ ContentNameMap_t

typedef std::unordered_map<EPUBCSSProperties, std::string, boost::hash<EPUBCSSProperties> > libepubgen::EPUBImageManager::ContentNameMap_t
| private

## ◆ MapType_t

typedef std::unordered_map<librevenge::RVNGBinaryData, EPUBPath, BinaryDataHash, BinaryDataEqual> libepubgen::EPUBImageManager::MapType_t
| private

## Constructor & Destructor Documentation

## ◆ EPUBImageManager() [1/2]

libepubgen::EPUBImageManager::EPUBImageManager | ( | const EPUBImageManager & |  | ) |
| private

## ◆ EPUBImageManager() [2/2]

libepubgen::EPUBImageManager::EPUBImageManager | ( | EPUBManifest & | manifest | ) |
| explicit

## Member Function Documentation

## ◆ extractImageProperties()

void libepubgen::EPUBImageManager::extractImageProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| private

convert a property list into a CSS property map

Referenced by getFrameClass(), and getFrameStyle().

## ◆ getFrameClass()

std::string libepubgen::EPUBImageManager::getFrameClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

## ◆ getFrameStyle()

std::string libepubgen::EPUBImageManager::getFrameStyle | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the style string corresponding to a propertylist

## ◆ getWrapStyle()

std::string libepubgen::EPUBImageManager::getWrapStyle | ( | librevenge::RVNGPropertyList const & | pList | ) |
| static

returns the style for a follow-up
element, based on wrapping properties.

## ◆ insert()

const EPUBPath & libepubgen::EPUBImageManager::insert | ( | const librevenge::RVNGBinaryData & | data,
|  | const librevenge::RVNGString & | mimetype,
|  | const librevenge::RVNGString & | properties = `""`
| ) |  |

Referenced by libepubgen::EPUBGenerator::setDocumentMetaData().

## ◆ operator=()

EPUBImageManager& libepubgen::EPUBImageManager::operator= | ( | const EPUBImageManager & |  | ) |
| private

## ◆ send()

void libepubgen::EPUBImageManager::send | ( | EPUBCSSContent & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBGenerator::writeStylesheet().

## ◆ writeTo()

void libepubgen::EPUBImageManager::writeTo | ( | EPUBPackage & | package | ) |

Referenced by libepubgen::EPUBGenerator::endDocument().

## Member Data Documentation

## ◆ m_imageContentNameMap

ContentNameMap_t libepubgen::EPUBImageManager::m_imageContentNameMap
| private

a map image content -> name

Referenced by getFrameClass(), and send().

## ◆ m_manifest

EPUBManifest& libepubgen::EPUBImageManager::m_manifest
| private

Referenced by insert().

## ◆ m_map

MapType_t libepubgen::EPUBImageManager::m_map
| private

Referenced by insert(), and writeTo().

## ◆ m_number

EPUBCounter libepubgen::EPUBImageManager::m_number
| private

Referenced by insert().

The documentation for this class was generated from the following files:

- EPUBImageManager.h
- EPUBImageManager.cpp